#include <ESP8266WiFi.h>
#include <DHT.h>
#define DHTTYPE DHT22

WiFiClient client;
IPAddress homeserver(192,168,X,V);
const int DHTPin = 2;
DHT dht(DHTPin, DHTTYPE);

              
void setup() {
  pinMode(DHTPin, INPUT);
  delayMicroseconds(10);
  dht.begin();
    
  Serial.begin(115200);
  Serial.println();

  IPAddress ip(192, 168, X, Y);
  IPAddress gateway(192, 168, X, Z); 
  IPAddress subnet(255, 255, 255, 0); 
  WiFi.config(ip, gateway, subnet);
  WiFi.begin("**username**", "**password**");

  Serial.print("Connecting");
  while (WiFi.status() != WL_CONNECTED)
  {
    delay(500);
    Serial.print(".");
  }
  Serial.println();

  Serial.print("Connected, IP address: ");
  Serial.println(WiFi.localIP());  
}


void loop() {
  Serial.println("Starting connection...");
  if (client.connect(homeserver, 11107)) {
    Serial.println("connected");      

    float h, t;
    do {
      h = dht.readHumidity();
      t = dht.readTemperature();

      Serial.println(t);
      
      delay(500);
    } while (isnan(h) || isnan(t));
    
    client.print("T=");
    client.println(t);            
  }

  client.stop();
  Serial.println("Closing connection...");
  delay(60000);
}
